Loading...
Searching...
No Matches
GenericMap Class Reference

A wrapper that holds a MapBase::ConstPtr and exposes a reduced set of functionality needed by the mathematical operators. More...

`#include <openvdb/math/Operators.h>`

## Public Member Functions

template<typename GridType >
| GenericMap (const GridType &g)
| GenericMap (const Transform &t)
| GenericMap (MapBase::Ptr map)
| GenericMap (MapBase::ConstPtr map)
| ~GenericMap ()
Vec3d | applyMap (const Vec3d &in) const
Vec3d | applyInverseMap (const Vec3d &in) const
Vec3d | applyIJT (const Vec3d &in) const
Vec3d | applyIJT (const Vec3d &in, const Vec3d &pos) const
Mat3d | applyIJC (const Mat3d &m) const
Mat3d | applyIJC (const Mat3d &m, const Vec3d &v, const Vec3d &pos) const
double | determinant () const
double | determinant (const Vec3d &in) const
Vec3d | voxelSize () const
Vec3d | voxelSize (const Vec3d &v) const

## Detailed Description

A wrapper that holds a MapBase::ConstPtr and exposes a reduced set of functionality needed by the mathematical operators.

This may be used in some `Map`-templated code, when the overhead of actually resolving the `Map` type is large compared to the map work to be done.

## Constructor & Destructor Documentation

## GenericMap() [1/4]

template<typename GridType >

GenericMap | ( | const GridType & | g | ) |

inline

## GenericMap() [2/4]

GenericMap | ( | const Transform & | t | ) |

inline

## GenericMap() [3/4]

GenericMap | ( | MapBase::Ptr | map | ) |

inline

## GenericMap() [4/4]

GenericMap | ( | MapBase::ConstPtr | map | ) |

inline

## ~GenericMap()

~GenericMap | ( |  | ) |

inline

## Member Function Documentation

## applyIJC() [1/2]

Mat3d applyIJC | ( | const Mat3d & | m | ) | const

inline

## applyIJC() [2/2]

Mat3d applyIJC | ( | const Mat3d & | m,
|  | const Vec3d & | v,
|  | const Vec3d & | pos
| ) |  | const

inline

## applyIJT() [1/2]

Vec3d applyIJT | ( | const Vec3d & | in | ) | const

inline

## applyIJT() [2/2]

Vec3d applyIJT | ( | const Vec3d & | in,
|  | const Vec3d & | pos
| ) |  | const

inline

## applyInverseMap()

Vec3d applyInverseMap | ( | const Vec3d & | in | ) | const

inline

## applyMap()

Vec3d applyMap | ( | const Vec3d & | in | ) | const

inline

## determinant() [1/2]

double determinant | ( |  | ) | const

inline

## determinant() [2/2]

double determinant | ( | const Vec3d & | in | ) | const

inline

## voxelSize() [1/2]

Vec3d voxelSize | ( |  | ) | const

inline

## voxelSize() [2/2]

Vec3d voxelSize | ( | const Vec3d & | v | ) | const

inline